# FtpDirectory

Calling this method downloads a blob into blob storage.

### **Method Name:**

FtpDirectory

### **Payload:**

The direct command requires a sas uri to download from.

* **FtpConfigName**: Name of the FTP configuration to use, as specified in the module twin
* **FtpDirectoryPath**: Directory where the FTP operation is executed.
* **RenameFromFtpDirectoryPath**: If command is RenameDirectory, this value renames the directory.
* **FtpDirectoryCommand**: Command to execute. Possible values are CreateDirectory, DeleteDirectory and RenameDirectory.

```
{
    "ftpConfigName": "ftpconfig1",
    "ftpDirectoryPath": "home/Directory",
    "renameFromFtpDirectoryPath": "NewDirectoryName",
    "ftpDirectoryCommand": "RenameDirectory"
}
```

### **Return value**

The direct command returns an OperationResult that indicates either success or failure.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tricloudnexus.io/edge/nexus-modules/data-connector-modules/filetransfermodule/direct-commands/ftpdirectory.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
